/**
   @version 1.00 2004-08-15
   @author Cay Horstmann
*/

import java.util.*;
import java.util.logging.*;

/**
   Program wyświetlający komunikaty dziennika
   o wywołaniach metod equals i hashCode 
   na skutek wstawiania produktów do zbioru.
*/
public class SetTest
{  
   public static void main(String[] args)
   {  
      Logger.global.setLevel(Level.FINEST);
      Handler handler = new ConsoleHandler();
      handler.setLevel(Level.FINEST);
      Logger.global.addHandler(handler);

      Set<Item> parts = new HashSet<Item>();
      parts.add(new Item("Toaster", 1279));
      parts.add(new Item("Microwave", 4562));
      parts.add(new Item("Toaster", 1279));
      System.out.println(parts);
   }
}

